Bug 1962006 - sssd 2.5.0 breaks kinit
Summary: sssd 2.5.0 breaks kinit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sssd
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: jstephen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1962126 1962611 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-19 08:10 UTC by Remi Collet
Modified: 2021-05-22 01:07 UTC (History)
15 users (show)

Fixed In Version: sssd-2.5.0-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-22 01:07:52 UTC
Type: Bug


Attachments (Terms of Use)
sssd -i -d6 output (374.31 KB, text/plain)
2021-05-19 13:54 UTC, Arjen Heidinga
no flags Details

Description Remi Collet 2021-05-19 08:10:37 UTC
This morning sssd was updated to 2.5.0

kinit doesn't work anymore

$ kinit remi@FEDORAPROJECT.ORG
kinit: Internal credentials cache error while getting default ccache


Reverting to 2.3 solves this issue (dnf downgrade sssd\* python3-sssdconfig)


Looks like a regression see bug #1906802

Comment 1 Alexey Tikhonov 2021-05-19 11:09:48 UTC
*** Bug 1962126 has been marked as a duplicate of this bug. ***

Comment 2 jstephen 2021-05-19 13:28:50 UTC
Hi, Are you able to provide debug logs (in the [kcm] sssd.conf) section from the failure?

 - See https://sssd.io/troubleshooting/basics.html#sssd-debug-logs and attach to mentioned bz.

Comment 3 Remi Collet 2021-05-19 13:48:17 UTC
Looks like adding attachement is broken (502 Proxy Error)

So pasting here


(2021-05-19 15:38:52): [kcm] [orderly_shutdown] (0x1f7c0): SIGTERM: killing children
(2021-05-19 15:38:52): [kcm] [orderly_shutdown] (0x1f7c0): Shutting down (status = 0)(2021-05-19 15:38:52): [kcm] [server_setup] (0x1f7c0): Starting with debug level = 0x0070
(2021-05-19 15:39:06): [kcm] [local_decrypt] (0x0040): sss_decrypt failed [14]: Mauvaise adresse
********************** PREVIOUS MESSAGE WAS TRIGGERED BY THE FOLLOWING BACKTRACE:
   *  (2021-05-19 15:38:52): [kcm] [server_setup] (0x0080): Failed setting process group: Operation not permitted[1]. We might leak processes in case of failure
   *  (2021-05-19 15:38:52): [kcm] [become_user] (0x0200): Trying to become user [0][0].
   *  (2021-05-19 15:38:52): [kcm] [become_user] (0x0200): Already user [0].
   *  (2021-05-19 15:38:52): [kcm] [ldb] (0x0400): server_sort:Unable to register control with rootdse!
   *  (2021-05-19 15:38:52): [kcm] [server_setup] (0x0400): CONFDB: /var/lib/sss/db/config.ldb
   *  (2021-05-19 15:38:52): [kcm] [kcm_get_ccdb_be] (0x0100): KCM database type: secdb
   *  (2021-05-19 15:38:52): [kcm] [kcm_ccdb_init] (0x0200): KCM back end: libsss_secrets
   *  (2021-05-19 15:38:52): [kcm] [ccdb_secdb_init] (0x2000): secdb initialized
   *  (2021-05-19 15:38:52): [kcm] [schedule_responder_idle_timer] (0x2000): Re-scheduling the idle timeout [responder_idle_timeout] for the responder [0x55fd46922da0]
   *  (2021-05-19 15:38:52): [kcm] [setup_responder_idle_timer] (0x2000): Setting up the idle timeout [responder_idle_timeout] for the responder [0x55fd46922da0]
   *  (2021-05-19 15:38:52): [kcm] [responder_set_fd_limit] (0x0100): Maximum file descriptors set to [2048]
   *  (2021-05-19 15:38:52): [kcm] [activate_unix_sockets] (0x0100): Warning: socket path defined in systemd unit (/run/.heim_org.h5l.kcm-socket) and sssd.conf (/var/run/.heim_org.h5l.kcm-socket) don't match
   *  (2021-05-19 15:38:52): [kcm] [kcm_process_init] (0x0400): KCM Initialization complete
   *  (2021-05-19 15:38:54): [kcm] [get_client_cred] (0x4000): Client [0x55fd46924e50][14] creds: euid[1000] egid[1000] pid[4118] cmd_line['/usr/libexec/goa-identity-service'].
   *  (2021-05-19 15:38:54): [kcm] [setup_client_idle_timer] (0x4000): Idle timer re-set for client [0x55fd46924e50][14]
   *  (2021-05-19 15:38:54): [kcm] [accept_fd_handler] (0x0400): Client [0x55fd46924e50][14] connected!
   *  (2021-05-19 15:38:54): [kcm] [kcm_input_parse] (0x1000): Received message with length 4
   *  (2021-05-19 15:38:54): [kcm] [kcm_get_opt] (0x2000): The client requested operation 18
   *  (2021-05-19 15:38:54): [kcm] [kcm_cmd_send] (0x0400): KCM operation GET_CACHE_UUID_LIST
   *  (2021-05-19 15:38:54): [kcm] [kcm_cmd_send] (0x1000): 0 bytes on KCM input
   *  (2021-05-19 15:38:54): [kcm] [kcm_op_queue_send] (0x0200): Adding request by 1000 to the wait queue
   *  (2021-05-19 15:38:54): [kcm] [kcm_op_queue_get] (0x1000): No existing queue for this ID
   *  (2021-05-19 15:38:54): [kcm] [kcm_op_queue_send] (0x1000): Queue was empty, running the request immediately
   *  (2021-05-19 15:38:54): [kcm] [kcm_op_get_cache_uuid_list_send] (0x1000): Returning full UUID list
   *  (2021-05-19 15:38:54): [kcm] [ccdb_secdb_list_send] (0x2000): Listing all ccaches
   *  (2021-05-19 15:38:54): [kcm] [sss_sec_map_path] (0x1000): Mapping prefix /kcm/
   *  (2021-05-19 15:38:54): [kcm] [kcm_map_url_to_path] (0x1000): User-specific KCM path is [/kcm/persistent/1000/ccache/]
   *  (2021-05-19 15:38:54): [kcm] [local_db_dn] (0x2000): Local path for [persistent/1000/ccache/] is [cn=ccache,cn=1000,cn=persistent,cn=kcm]
   *  (2021-05-19 15:38:54): [kcm] [sss_sec_new_req] (0x1000): Local DB path is persistent/1000/ccache/
   *  (2021-05-19 15:38:54): [kcm] [secdb_container_url_req] (0x2000): Created request for URL /kcm/persistent/1000/ccache/
   *  (2021-05-19 15:38:54): [kcm] [sss_sec_list] (0x0400): Listing keys at [persistent/1000/ccache/]
   *  (2021-05-19 15:38:54): [kcm] [sss_sec_list] (0x2000): Searching for [(|(type=simple)(type=binary))] at [cn=ccache,cn=1000,cn=persistent,cn=kcm] with scope=subtree
   *  (2021-05-19 15:38:54): [kcm] [sss_sec_list] (0x1000): No secrets found
   *  (2021-05-19 15:38:54): [kcm] [ccdb_secdb_list_send] (0x2000): Found 0 ccaches
   *  (2021-05-19 15:38:54): [kcm] [ccdb_secdb_list_send] (0x2000): Listing all caches done
   *  (2021-05-19 15:38:54): [kcm] [kcm_op_get_cache_uuid_list_done] (0x0080): Nothing to list
   *  (2021-05-19 15:38:54): [kcm] [kcm_cmd_done] (0x0400): KCM operation GET_CACHE_UUID_LIST returned [1432158224]: No matching credentials found
   *  (2021-05-19 15:38:54): [kcm] [kcm_send_reply] (0x2000): Sending a reply
   *  (2021-05-19 15:38:54): [kcm] [kcm_output_construct] (0x1000): Sending a reply with 4 bytes of payload
   *  (2021-05-19 15:38:54): [kcm] [queue_removal_cb] (0x0200): Removed queue for 1000 
   *  (2021-05-19 15:38:54): [kcm] [kcm_send] (0x2000): All data sent!
   *  (2021-05-19 15:38:54): [kcm] [kcm_recv] (0x4000): Client closed connection.
   *  (2021-05-19 15:38:54): [kcm] [client_close_fn] (0x2000): Terminated client [0x55fd46924e50][14]
   *  (2021-05-19 15:38:57): [kcm] [get_client_cred] (0x4000): Client [0x55fd46924e50][14] creds: euid[0] egid[0] pid[5083] cmd_line['/usr/libexec/goa-identity-service'].
   *  (2021-05-19 15:38:57): [kcm] [setup_client_idle_timer] (0x4000): Idle timer re-set for client [0x55fd46924e50][14]
   *  (2021-05-19 15:38:57): [kcm] [accept_fd_handler] (0x0400): Client [0x55fd46924e50][14] connected!
   *  (2021-05-19 15:38:57): [kcm] [kcm_input_parse] (0x1000): Received message with length 4
   *  (2021-05-19 15:38:57): [kcm] [kcm_get_opt] (0x2000): The client requested operation 18
   *  (2021-05-19 15:38:57): [kcm] [kcm_cmd_send] (0x0400): KCM operation GET_CACHE_UUID_LIST
   *  (2021-05-19 15:38:57): [kcm] [kcm_cmd_send] (0x1000): 0 bytes on KCM input
   *  (2021-05-19 15:38:57): [kcm] [kcm_op_queue_send] (0x0200): Adding request by 0 to the wait queue
   *  (2021-05-19 15:38:57): [kcm] [kcm_op_queue_get] (0x1000): No existing queue for this ID
   *  (2021-05-19 15:38:57): [kcm] [kcm_op_queue_send] (0x1000): Queue was empty, running the request immediately
   *  (2021-05-19 15:38:57): [kcm] [kcm_op_get_cache_uuid_list_send] (0x1000): Returning full UUID list
   *  (2021-05-19 15:38:57): [kcm] [ccdb_secdb_list_send] (0x2000): Listing all ccaches
   *  (2021-05-19 15:38:57): [kcm] [sss_sec_map_path] (0x1000): Mapping prefix /kcm/
   *  (2021-05-19 15:38:57): [kcm] [kcm_map_url_to_path] (0x1000): User-specific KCM path is [/kcm/persistent/0/ccache/]
   *  (2021-05-19 15:38:57): [kcm] [local_db_dn] (0x2000): Local path for [persistent/0/ccache/] is [cn=ccache,cn=0,cn=persistent,cn=kcm]
   *  (2021-05-19 15:38:57): [kcm] [sss_sec_new_req] (0x1000): Local DB path is persistent/0/ccache/
   *  (2021-05-19 15:38:57): [kcm] [secdb_container_url_req] (0x2000): Created request for URL /kcm/persistent/0/ccache/
   *  (2021-05-19 15:38:57): [kcm] [sss_sec_list] (0x0400): Listing keys at [persistent/0/ccache/]
   *  (2021-05-19 15:38:57): [kcm] [sss_sec_list] (0x2000): Searching for [(|(type=simple)(type=binary))] at [cn=ccache,cn=0,cn=persistent,cn=kcm] with scope=subtree
   *  (2021-05-19 15:38:57): [kcm] [sss_sec_list] (0x1000): No secrets found
   *  (2021-05-19 15:38:57): [kcm] [ccdb_secdb_list_send] (0x2000): Found 0 ccaches
   *  (2021-05-19 15:38:57): [kcm] [ccdb_secdb_list_send] (0x2000): Listing all caches done
   *  (2021-05-19 15:38:57): [kcm] [kcm_op_get_cache_uuid_list_done] (0x0080): Nothing to list
   *  (2021-05-19 15:38:57): [kcm] [kcm_cmd_done] (0x0400): KCM operation GET_CACHE_UUID_LIST returned [1432158224]: No matching credentials found
   *  (2021-05-19 15:38:57): [kcm] [kcm_send_reply] (0x2000): Sending a reply
   *  (2021-05-19 15:38:57): [kcm] [kcm_output_construct] (0x1000): Sending a reply with 4 bytes of payload
   *  (2021-05-19 15:38:57): [kcm] [queue_removal_cb] (0x0200): Removed queue for 0 
   *  (2021-05-19 15:38:57): [kcm] [kcm_send] (0x2000): All data sent!
   *  (2021-05-19 15:38:57): [kcm] [kcm_recv] (0x4000): Client closed connection.
   *  (2021-05-19 15:38:57): [kcm] [client_close_fn] (0x2000): Terminated client [0x55fd46924e50][14]
   *  (2021-05-19 15:38:59): [kcm] [get_client_cred] (0x4000): Client [0x55fd469282a0][14] creds: euid[1000] egid[1000] pid[4118] cmd_line['/usr/libexec/goa-identity-service'].
   *  (2021-05-19 15:38:59): [kcm] [setup_client_idle_timer] (0x4000): Idle timer re-set for client [0x55fd469282a0][14]
   *  (2021-05-19 15:38:59): [kcm] [accept_fd_handler] (0x0400): Client [0x55fd469282a0][14] connected!
   *  (2021-05-19 15:38:59): [kcm] [kcm_input_parse] (0x1000): Received message with length 4
   *  (2021-05-19 15:38:59): [kcm] [kcm_get_opt] (0x2000): The client requested operation 18
   *  (2021-05-19 15:38:59): [kcm] [kcm_cmd_send] (0x0400): KCM operation GET_CACHE_UUID_LIST
   *  (2021-05-19 15:38:59): [kcm] [kcm_cmd_send] (0x1000): 0 bytes on KCM input
   *  (2021-05-19 15:38:59): [kcm] [kcm_op_queue_send] (0x0200): Adding request by 1000 to the wait queue
   *  (2021-05-19 15:38:59): [kcm] [kcm_op_queue_get] (0x1000): No existing queue for this ID
   *  (2021-05-19 15:38:59): [kcm] [kcm_op_queue_send] (0x1000): Queue was empty, running the request immediately
   *  (2021-05-19 15:38:59): [kcm] [kcm_op_get_cache_uuid_list_send] (0x1000): Returning full UUID list
   *  (2021-05-19 15:38:59): [kcm] [ccdb_secdb_list_send] (0x2000): Listing all ccaches
   *  (2021-05-19 15:38:59): [kcm] [sss_sec_map_path] (0x1000): Mapping prefix /kcm/
   *  (2021-05-19 15:38:59): [kcm] [kcm_map_url_to_path] (0x1000): User-specific KCM path is [/kcm/persistent/1000/ccache/]
   *  (2021-05-19 15:38:59): [kcm] [local_db_dn] (0x2000): Local path for [persistent/1000/ccache/] is [cn=ccache,cn=1000,cn=persistent,cn=kcm]
   *  (2021-05-19 15:38:59): [kcm] [sss_sec_new_req] (0x1000): Local DB path is persistent/1000/ccache/
   *  (2021-05-19 15:38:59): [kcm] [secdb_container_url_req] (0x2000): Created request for URL /kcm/persistent/1000/ccache/
   *  (2021-05-19 15:38:59): [kcm] [sss_sec_list] (0x0400): Listing keys at [persistent/1000/ccache/]
   *  (2021-05-19 15:38:59): [kcm] [sss_sec_list] (0x2000): Searching for [(|(type=simple)(type=binary))] at [cn=ccache,cn=1000,cn=persistent,cn=kcm] with scope=subtree
   *  (2021-05-19 15:38:59): [kcm] [sss_sec_list] (0x1000): No secrets found
   *  (2021-05-19 15:38:59): [kcm] [ccdb_secdb_list_send] (0x2000): Found 0 ccaches
   *  (2021-05-19 15:38:59): [kcm] [ccdb_secdb_list_send] (0x2000): Listing all caches done
   *  (2021-05-19 15:38:59): [kcm] [kcm_op_get_cache_uuid_list_done] (0x0080): Nothing to list
   *  (2021-05-19 15:38:59): [kcm] [kcm_cmd_done] (0x0400): KCM operation GET_CACHE_UUID_LIST returned [1432158224]: No matching credentials found
   *  (2021-05-19 15:38:59): [kcm] [kcm_send_reply] (0x2000): Sending a reply
   *  (2021-05-19 15:38:59): [kcm] [kcm_output_construct] (0x1000): Sending a reply with 4 bytes of payload
   *  (2021-05-19 15:38:59): [kcm] [queue_removal_cb] (0x0200): Removed queue for 1000 
   *  (2021-05-19 15:38:59): [kcm] [kcm_send] (0x2000): All data sent!
   *  (2021-05-19 15:38:59): [kcm] [kcm_recv] (0x4000): Client closed connection.
   *  (2021-05-19 15:38:59): [kcm] [client_close_fn] (0x2000): Terminated client [0x55fd469282a0][14]
   *  (2021-05-19 15:39:02): [kcm] [get_client_cred] (0x4000): Client [0x55fd46928650][14] creds: euid[0] egid[0] pid[5083] cmd_line['/usr/libexec/goa-identity-service'].
   *  (2021-05-19 15:39:02): [kcm] [setup_client_idle_timer] (0x4000): Idle timer re-set for client [0x55fd46928650][14]
   *  (2021-05-19 15:39:02): [kcm] [accept_fd_handler] (0x0400): Client [0x55fd46928650][14] connected!
   *  (2021-05-19 15:39:02): [kcm] [kcm_input_parse] (0x1000): Received message with length 4
   *  (2021-05-19 15:39:02): [kcm] [kcm_get_opt] (0x2000): The client requested operation 18
   *  (2021-05-19 15:39:02): [kcm] [kcm_cmd_send] (0x0400): KCM operation GET_CACHE_UUID_LIST
   *  (2021-05-19 15:39:02): [kcm] [kcm_cmd_send] (0x1000): 0 bytes on KCM input
   *  (2021-05-19 15:39:02): [kcm] [kcm_op_queue_send] (0x0200): Adding request by 0 to the wait queue
   *  (2021-05-19 15:39:02): [kcm] [kcm_op_queue_get] (0x1000): No existing queue for this ID
   *  (2021-05-19 15:39:02): [kcm] [kcm_op_queue_send] (0x1000): Queue was empty, running the request immediately
   *  (2021-05-19 15:39:02): [kcm] [kcm_op_get_cache_uuid_list_send] (0x1000): Returning full UUID list
   *  (2021-05-19 15:39:02): [kcm] [ccdb_secdb_list_send] (0x2000): Listing all ccaches
   *  (2021-05-19 15:39:02): [kcm] [sss_sec_map_path] (0x1000): Mapping prefix /kcm/
   *  (2021-05-19 15:39:02): [kcm] [kcm_map_url_to_path] (0x1000): User-specific KCM path is [/kcm/persistent/0/ccache/]
   *  (2021-05-19 15:39:02): [kcm] [local_db_dn] (0x2000): Local path for [persistent/0/ccache/] is [cn=ccache,cn=0,cn=persistent,cn=kcm]
   *  (2021-05-19 15:39:02): [kcm] [sss_sec_new_req] (0x1000): Local DB path is persistent/0/ccache/
   *  (2021-05-19 15:39:02): [kcm] [secdb_container_url_req] (0x2000): Created request for URL /kcm/persistent/0/ccache/
   *  (2021-05-19 15:39:02): [kcm] [sss_sec_list] (0x0400): Listing keys at [persistent/0/ccache/]
   *  (2021-05-19 15:39:02): [kcm] [sss_sec_list] (0x2000): Searching for [(|(type=simple)(type=binary))] at [cn=ccache,cn=0,cn=persistent,cn=kcm] with scope=subtree
   *  (2021-05-19 15:39:02): [kcm] [sss_sec_list] (0x1000): No secrets found
   *  (2021-05-19 15:39:02): [kcm] [ccdb_secdb_list_send] (0x2000): Found 0 ccaches
   *  (2021-05-19 15:39:02): [kcm] [ccdb_secdb_list_send] (0x2000): Listing all caches done
   *  (2021-05-19 15:39:02): [kcm] [kcm_op_get_cache_uuid_list_done] (0x0080): Nothing to list
   *  (2021-05-19 15:39:02): [kcm] [kcm_cmd_done] (0x0400): KCM operation GET_CACHE_UUID_LIST returned [1432158224]: No matching credentials found
   *  (2021-05-19 15:39:02): [kcm] [kcm_send_reply] (0x2000): Sending a reply
   *  (2021-05-19 15:39:02): [kcm] [kcm_output_construct] (0x1000): Sending a reply with 4 bytes of payload
   *  (2021-05-19 15:39:02): [kcm] [queue_removal_cb] (0x0200): Removed queue for 0 
   *  (2021-05-19 15:39:02): [kcm] [kcm_send] (0x2000): All data sent!
   *  (2021-05-19 15:39:02): [kcm] [kcm_recv] (0x4000): Client closed connection.
   *  (2021-05-19 15:39:02): [kcm] [client_close_fn] (0x2000): Terminated client [0x55fd46928650][14]
   *  (2021-05-19 15:39:04): [kcm] [get_client_cred] (0x4000): Client [0x55fd47d2b4f0][14] creds: euid[1000] egid[1000] pid[4118] cmd_line['/usr/libexec/goa-identity-service'].
   *  (2021-05-19 15:39:04): [kcm] [setup_client_idle_timer] (0x4000): Idle timer re-set for client [0x55fd47d2b4f0][14]
   *  (2021-05-19 15:39:04): [kcm] [accept_fd_handler] (0x0400): Client [0x55fd47d2b4f0][14] connected!
   *  (2021-05-19 15:39:04): [kcm] [kcm_input_parse] (0x1000): Received message with length 4
   *  (2021-05-19 15:39:04): [kcm] [kcm_get_opt] (0x2000): The client requested operation 18
   *  (2021-05-19 15:39:04): [kcm] [kcm_cmd_send] (0x0400): KCM operation GET_CACHE_UUID_LIST
   *  (2021-05-19 15:39:04): [kcm] [kcm_cmd_send] (0x1000): 0 bytes on KCM input
   *  (2021-05-19 15:39:04): [kcm] [kcm_op_queue_send] (0x0200): Adding request by 1000 to the wait queue
   *  (2021-05-19 15:39:04): [kcm] [kcm_op_queue_get] (0x1000): No existing queue for this ID
   *  (2021-05-19 15:39:04): [kcm] [kcm_op_queue_send] (0x1000): Queue was empty, running the request immediately
   *  (2021-05-19 15:39:04): [kcm] [kcm_op_get_cache_uuid_list_send] (0x1000): Returning full UUID list
   *  (2021-05-19 15:39:04): [kcm] [ccdb_secdb_list_send] (0x2000): Listing all ccaches
   *  (2021-05-19 15:39:04): [kcm] [sss_sec_map_path] (0x1000): Mapping prefix /kcm/
   *  (2021-05-19 15:39:04): [kcm] [kcm_map_url_to_path] (0x1000): User-specific KCM path is [/kcm/persistent/1000/ccache/]
   *  (2021-05-19 15:39:04): [kcm] [local_db_dn] (0x2000): Local path for [persistent/1000/ccache/] is [cn=ccache,cn=1000,cn=persistent,cn=kcm]
   *  (2021-05-19 15:39:04): [kcm] [sss_sec_new_req] (0x1000): Local DB path is persistent/1000/ccache/
   *  (2021-05-19 15:39:04): [kcm] [secdb_container_url_req] (0x2000): Created request for URL /kcm/persistent/1000/ccache/
   *  (2021-05-19 15:39:04): [kcm] [sss_sec_list] (0x0400): Listing keys at [persistent/1000/ccache/]
   *  (2021-05-19 15:39:04): [kcm] [sss_sec_list] (0x2000): Searching for [(|(type=simple)(type=binary))] at [cn=ccache,cn=1000,cn=persistent,cn=kcm] with scope=subtree
   *  (2021-05-19 15:39:04): [kcm] [sss_sec_list] (0x1000): No secrets found
   *  (2021-05-19 15:39:04): [kcm] [ccdb_secdb_list_send] (0x2000): Found 0 ccaches
   *  (2021-05-19 15:39:04): [kcm] [ccdb_secdb_list_send] (0x2000): Listing all caches done
   *  (2021-05-19 15:39:04): [kcm] [kcm_op_get_cache_uuid_list_done] (0x0080): Nothing to list
   *  (2021-05-19 15:39:04): [kcm] [kcm_cmd_done] (0x0400): KCM operation GET_CACHE_UUID_LIST returned [1432158224]: No matching credentials found
   *  (2021-05-19 15:39:04): [kcm] [kcm_send_reply] (0x2000): Sending a reply
   *  (2021-05-19 15:39:04): [kcm] [kcm_output_construct] (0x1000): Sending a reply with 4 bytes of payload
   *  (2021-05-19 15:39:04): [kcm] [queue_removal_cb] (0x0200): Removed queue for 1000 
   *  (2021-05-19 15:39:04): [kcm] [kcm_send] (0x2000): All data sent!
   *  (2021-05-19 15:39:04): [kcm] [kcm_recv] (0x4000): Client closed connection.
   *  (2021-05-19 15:39:04): [kcm] [client_close_fn] (0x2000): Terminated client [0x55fd47d2b4f0][14]
   *  (2021-05-19 15:39:06): [kcm] [get_client_cred] (0x4000): Client [0x55fd46925120][14] creds: euid[101] egid[1000] pid[53083] cmd_line['kinit'].
   *  (2021-05-19 15:39:06): [kcm] [setup_client_idle_timer] (0x4000): Idle timer re-set for client [0x55fd46925120][14]
   *  (2021-05-19 15:39:06): [kcm] [accept_fd_handler] (0x0400): Client [0x55fd46925120][14] connected!
   *  (2021-05-19 15:39:06): [kcm] [kcm_input_parse] (0x1000): Received message with length 4
   *  (2021-05-19 15:39:06): [kcm] [kcm_get_opt] (0x2000): The client requested operation 20
   *  (2021-05-19 15:39:06): [kcm] [kcm_cmd_send] (0x0400): KCM operation GET_DEFAULT_CACHE
   *  (2021-05-19 15:39:06): [kcm] [kcm_cmd_send] (0x1000): 0 bytes on KCM input
   *  (2021-05-19 15:39:06): [kcm] [kcm_op_queue_send] (0x0200): Adding request by 101 to the wait queue
   *  (2021-05-19 15:39:06): [kcm] [kcm_op_queue_get] (0x1000): No existing queue for this ID
   *  (2021-05-19 15:39:06): [kcm] [kcm_op_queue_send] (0x1000): Queue was empty, running the request immediately
   *  (2021-05-19 15:39:06): [kcm] [kcm_op_get_default_ccache_send] (0x1000): Getting client's default ccache
   *  (2021-05-19 15:39:06): [kcm] [ccdb_secdb_get_default_send] (0x2000): Getting the default ccache
   *  (2021-05-19 15:39:06): [kcm] [sss_sec_map_path] (0x1000): Mapping prefix /kcm/
   *  (2021-05-19 15:39:06): [kcm] [kcm_map_url_to_path] (0x1000): User-specific KCM path is [/kcm/persistent/101/default]
   *  (2021-05-19 15:39:06): [kcm] [local_db_dn] (0x2000): Local path for [persistent/101/default] is [cn=default,cn=101,cn=persistent,cn=kcm]
   *  (2021-05-19 15:39:06): [kcm] [sss_sec_new_req] (0x1000): Local DB path is persistent/101/default
   *  (2021-05-19 15:39:06): [kcm] [secdb_dfl_url_req] (0x2000): Created request for URL /kcm/persistent/101/default
   *  (2021-05-19 15:39:06): [kcm] [sss_sec_get] (0x0400): Retrieving a secret from [persistent/101/default]
   *  (2021-05-19 15:39:06): [kcm] [sss_sec_get] (0x2000): Searching for [(|(type=simple)(type=binary))] at [cn=default,cn=101,cn=persistent,cn=kcm] with scope=base
   *  (2021-05-19 15:39:06): [kcm] [local_decrypt] (0x2000): Decrypting with masterkey
   *  (2021-05-19 15:39:06): [kcm] [local_decrypt] (0x0040): sss_decrypt failed [14]: Mauvaise adresse
********************** BACKTRACE DUMP ENDS HERE *********************************

(2021-05-19 15:39:06): [kcm] [sec_get] (0x0040): Cannot retrieve the secret [14]: Mauvaise adresse
(2021-05-19 15:39:06): [kcm] [kcm_ccdb_get_default_done] (0x0040): Failed to get the default ccache [14]: Mauvaise adresse
********************** PREVIOUS MESSAGE WAS TRIGGERED BY THE FOLLOWING BACKTRACE:
   *  (2021-05-19 15:39:06): [kcm] [sec_get] (0x0040): Cannot retrieve the secret [14]: Mauvaise adresse
   *  (2021-05-19 15:39:06): [kcm] [kcm_ccdb_get_default_done] (0x0040): Failed to get the default ccache [14]: Mauvaise adresse
********************** BACKTRACE DUMP ENDS HERE *********************************

(2021-05-19 15:39:06): [kcm] [kcm_op_get_get_default_done] (0x0040): Cannot get default ccache [14]: Mauvaise adresse
(2021-05-19 15:39:06): [kcm] [kcm_cmd_done] (0x0040): op receive function failed [14]: Mauvaise adresse
********************** PREVIOUS MESSAGE WAS TRIGGERED BY THE FOLLOWING BACKTRACE:
   *  (2021-05-19 15:39:06): [kcm] [kcm_op_get_get_default_done] (0x0040): Cannot get default ccache [14]: Mauvaise adresse
   *  (2021-05-19 15:39:06): [kcm] [kcm_cmd_done] (0x0040): op receive function failed [14]: Mauvaise adresse
********************** BACKTRACE DUMP ENDS HERE *********************************

(2021-05-19 15:39:06): [kcm] [kcm_cmd_request_done] (0x0040): KCM operation failed [14]: Mauvaise adresse
(2021-05-19 15:39:06): [kcm] [kcm_reply_error] (0x0040): KCM operation returns failure [14]: Mauvaise adresse
********************** PREVIOUS MESSAGE WAS TRIGGERED BY THE FOLLOWING BACKTRACE:
   *  (2021-05-19 15:39:06): [kcm] [kcm_cmd_request_done] (0x0040): KCM operation failed [14]: Mauvaise adresse
   *  (2021-05-19 15:39:06): [kcm] [kcm_reply_error] (0x0040): KCM operation returns failure [14]: Mauvaise adresse
********************** BACKTRACE DUMP ENDS HERE *********************************

Comment 4 Arjen Heidinga 2021-05-19 13:54:08 UTC
Created attachment 1784833 [details]
sssd -i -d6 output

Comment 5 Alexey Tikhonov 2021-05-19 16:10:56 UTC
https://github.com/SSSD/sssd/pull/5643

Comment 6 Fedora Update System 2021-05-19 18:19:39 UTC
FEDORA-2021-c582bc56a6 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c582bc56a6

Comment 7 Fedora Update System 2021-05-20 02:25:18 UTC
FEDORA-2021-c582bc56a6 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c582bc56a6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c582bc56a6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Thomas Boroske 2021-05-20 11:32:03 UTC
*** Bug 1962611 has been marked as a duplicate of this bug. ***

Comment 9 Thomas Boroske 2021-05-20 17:45:45 UTC
I tried you fixed version 2.5.0-2.fc33  from updates-testing, it seems to work fine. Many thanks.

Comment 10 Andrea Ratto 2021-05-21 09:05:11 UTC
In my company, we have been getting this issue on a few machines that updated recently and the testing update did fix it for us as well.

Comment 11 Arjen Heidinga 2021-05-21 10:08:06 UTC
I confirm fixed as well. Oddly only some servers (and my laptop) were impacted...

Comment 12 Fedora Update System 2021-05-22 01:07:52 UTC
FEDORA-2021-c582bc56a6 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.